Package uk.ac.starlink.util.gui

# Class SelectCharacters.CancelAction

java.lang.Object
javax.swing.AbstractAction
uk.ac.starlink.util.gui.SelectCharacters.CancelAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  `SelectCharacters`

protected class SelectCharacters.CancelAction extends AbstractAction
Inner class defining Action for cancelling acceptance of characters.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`CancelAction(String name, Icon icon)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent ae)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept`

## Constructor Details

### CancelAction

public CancelAction(String name, Icon icon)

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent ae)